### Method

# Malcontent SessionLimitsBuilder set_active_extension

since: 0.14.0

#### Declaration [src]

    void
    mct_session_limits_builder_set_active_extension (
      MctSessionLimitsBuilder* builder,
      uint64_t start_time_secs,
      unsigned int duration_secs
    )

#### Description [src]

Set the screen time extension in `builder` to the given period.

This is used for recording a screen time extension request which has been granted.

If both `start_time_secs` and `duration_secs` are zero, the screen time extension will be cleared. `duration_secs` must otherwise be non-zero.

This will act on top of any session limits. If no session limits are set, any extension will be ignored.

Available since: 0.14.0

#### Parameters

`start_time_secs`

  Type: `uint64_t`

  Start time of the extension, in seconds since the Unix epoch.

`duration_secs`

  Type: `unsigned int`

  Duration of the extension, in seconds; or zero if there is no active extension.